Instrument Editor User Manual

Version 1.03 f

Instrument Editor User Manual

  • Instrument Editor Introduction

  • System Requirement

  • New Features

    • New Function: Support Third Party Tool

    • New Function: Demo Play Supports Customized Template

    • New Function: Multi Midi Importing and Playing

    • New Function: Suggest the Most Appropriate Chip

    • New Function: Export Project

    • New Function: Export Single Wave or Multi Wave Files

    • New Function: Provide Used ROM Size Information

    • New Function: Play Key Full Range or Wave Sample Range

    • Enhanced Function: INI File Content for SR Wave

    • Enhanced Function: Note Duration

    • Enhanced Function: Envelope Waveform Window

  • Instrument Editor Quick Start

    • Start Instrument Editor

    • New Workspace

    • New Instrument Bank

    • New Instrument

    • Add Wave File

    • Export Library

  • How to...

    • Open Workspace

    • Add Instrument Bank

    • Load Instrument Library

    • Load SF2 File

    • Set Instrument/Percussion Number

    • Edit Pitch

    • Set Fundamental Tone

    • Edit Looping

    • Edit Envelope

    • Export SF2 File

    • Export Report File

    • Specify Third Party Tool

  • Instrument Editor User Interface

    • Main Interface

    • Main Menu

      • File Menu

      • Edit Menu

      • Settings Menu

      • Help Menu

    • Toolbar

    • Workspace Window

    • Key Range Zone

    • Envelope Waveform Zone

    • Demo Play Window

    • Message Window

    • Properties Setting Window

    • Looping Editor

    • SNC 83K Emulator

  • Instrument Editor Using Tips

    • Tips for New Instrument Bank

    • Tips for New Instrument

    • Tips for Keyboard Emulation

    • Tips for Envelope Editing

    • Tips for Instrument (*INI) File

  • FAQ

    • What Is Instrument Bank?

    • How to Add a Key Range Bar?

    • What Is AD/SR?

    • What Is the Difference between SF2 Mode and Custom Mode?

    • What Is the Format of the Report File?

    • How to Set Compress Type?

  • Appendixes

    • General Instrument List

    • Percussion Instrument List

    • Release Type Initial Value List

    • Envelope Waveform Attribute List

  • Revision History

Copyright © 2009 - 2010 SONiX Technology CO., LTD.

All Rights Reserved

http://www.sonix.com.tw


Instrument Editor Introduction

Timbre is amazing: a number pieces of timbres compose of music. But it is more amazing to design your own timbres and let other people to share your design. However, creating your own instrument library is not that easy in some sense nowadays. You may find that most of the time you have to use the instrument libraries provided by some others, professional or unprofessional you may sense. Fortunately, there comes Instrument Editor that makes it easier for you to make your own timbres into an instrument library, and more importantly, you can make a professional one with Instrument Editor.

SONiX Instrument Editor was developed in 2009, with the mission to help you design your needed instrument library. It has the following features and functions:

  • Friendly user interface that makes your design easy and convenient.

  • The function of importing SF2, INI and SIB files, and editing these files in Instrument Editor.

  • Edit the looping of the wave file.

  • The function of envelope editing.

  • Keyboard emulating function.

  • Demo play function that allows you to emulate your instrument library through a midi file.

This manual will tell you all you need to know about Instrument Editor, and how you can make your own instrument library with it. For more detailed information about Instrument Editor, please see the following chapters.

Copyright © 2009 -2010 SONiX Technology CO., LTD.


System Requirement

To run SONiX Instrument Editor, your computer system must meet the following requirements:

Operating System | Windows Server 2003; Windows Server 2008; Windows Vista; Windows XP
CPU | 400 MHz Pentium or the same grade at least (suggest 1GHz Pentium or the same grade)
RAM | 96MB at least (suggest 256MB or higher)
HD | 500 MB or higher
Display | 800 x 600 pixels,256 colors at least (suggest 1024 x 768 pixels, 32 bits colors )
Other Devices | Mouse, keyboard


New Features

New features in this release:

  • New Function: Support Third Party Tool

  • New Function: Demo Play Supports Customized Template

  • New Function: Multi Midi Importing and Playing

  • New Function: Suggest the Most Appropriate Chip

  • New Function: Export Project

  • New Function: Export Single Wave or Multi Wave Files

  • New Function: Provide Used ROM Size Information

  • New Function: Play Key Full Range or Wave Sample Range

  • Enhanced Function: INI File Content for SR Wave

  • Enhanced Function: Note Duration

  • Enhanced Function: Envelope Waveform Window


New Function: Support Third Party Tool

For this release, user can specify a third party tool in Instrument Editor to edit the wave sample.

Follow these steps:

  1. Install a required wave editing tool such as Cool Edit Pro. For example install it to "C:\Program Files\coolpro2\coolpro2.exe"

  2. Choose "External edit tool setting" option from Settings Menu, and access "External edit tool setting" dialog.

  3. Press "Add External Edit Tool" button, and choose the required file "coolpro2.exe" from File Browser. Then, Instrument Editor will show user this tool in External Edit Tool box, and press OK to confirm.

  4. When it is necessary to use this third party tool to edit a wave, right click on a wave node from Workspace Window, and choose "External Tools -> Coolpro2":

  5. The selected wave will be opened by coolpro2 and you can edit the waveform.


New Function: Demo Play Supports Customized Template

For this release, Demo Play Window supports customized template EZT:

Select Template File: When "Default Template File" is disabled, press "..." button to choose a required EZT file from file browser.

  • Default Template File: If enable this option, use the default EZT file which is specified by Instrument Editor automatically.

Demo Play Window shows users each key's usage on "Template Description":

Take the picture above for instance, for each trigger key on ICE board, the template defines their functions:

  • Tr1: Next indicates that when pressing tr1, ICE will play next midi file.

  • Tr2:Replay indicates that when pressing tr2, ICE will play current midi for the second time.

  • Tr3:Stop indicates that when pressing tr3, ICE will stop playing current midi file.

  • Tr4:Volume up (digital) indicates that when pressing tr4, ICE will increase digital playing volume.

  • Tr5:Volume down (digital) indicates that when pressing tr5, ICE will decrease digital playing volume.

  • Tr6:Volume up (Analog) indicates that when pressing tr6, ICE will increase analog playing volume.

  • Tr7:Volume down (Analog) indicates that when pressing tr7, ICE will decrease analog playing volume.

The corresponding EZ codes are:

tr1:stop {out2}o m0:[MLDLIST]
MLDNAMEXP:M_Vol_L=180 m0=MIDINUM MIDNAM stop_o p2=[00000000] p1=[00000000]

tr2:{out2}o m0:[MLDLISTREP]

tr3:stop

tr4:M_Vol_L+=10 ;;Digital volume up

tr5:M_Vol_L-=10 ;;Digital volume down

tr6:PPDAC_Vol+=2 ;;Analog volume up

tr7:PPDAC_Vol-=2 ;;Analog volume down


New Function: Multi Midi Importing and Playing

For previous versions, user can only import one midi file to Instrument Editor. For this release, on Demo Play Window, user can import multi midi files and downloads them to ICE board to play.

Midi File:

  • : Choose required midi files through file browser, and Instrument Editor lists them in midi list.

  • : Delete the midi files whose check box is enabled in the midi list.

  • : Whether a midi file's check box is enabled or not, delete all midi files from the midi list.

  • Midi List: List all the imported midi files.

  • : Press this button, Instrument Editor will download midi list's enabled midi files to ICE board, and Message Window shows users download progress information.

Note:

  • When playing a midi file, the sound would come out when there is corresponding timbre in the instrument library, otherwise, there won't be any sound.

  • ICE board should be correctly connected to PC.


New Function: Suggest the Most Appropriate Chip

For this release, when Demo Play, and press "Download to ICE" button, message window shows progress of outputting and downloading. Before downloading output files to ICE, message window shows the following message to inform user which chip is the most appropriate:

It is strongly recommended to use chip "SNC82040B/SNC88040B" for its ROM size is the most appropriate.


New Function: Export Project

For this release, Instrument Editor support Export Project on Demo Play Window:

Export Project Data Path

  • Export Project Data Path

    • Export Project Data: Press "..." button to choose a path to store output files, and click "Export Project Data" button to export. For example if user choose output path: "D:\InstrumentEditor\Test\ExportProject", following files or folder will be generated:

      • Sub-folder "lib": This folder contains enabled midi's used wave files, and "instrument.ini".

      • File "demo.ez": An EZ file which is generated according to project's setting information.

      • File "instable.asm": Instrument Table file that records used instrument information.

      • File "ProjectName.spu": This is a binary file contains some directives, such as playing midi using which instrument and channel, playing duration, etc.


New Function: Export Single Wave or Multi Wave Files

For this release, you can export single wave or multi wave files to required directory:

  • Export Single Wave: On Workspace Window, right click on a single wave file, choose "Export Sample" option, select a required directory through file browser, and click "OK" to export.

  • Export Multi Wave Files Export: Use Ctrl or Shift key to select multi waves on Workspace Window, right click, choose "Export Sample" option, select a required directory through file browser, and click "OK" to export.


New Function: Provide Used ROM Size Information

For this release, user can view used ROM size of different items on Workspace Window:

  • Right Click on Instrument Bank, and choose the following option from popup menu:

    • Show Total Size: Choose this option to view wave's total size of current instrument bank, and unit is Word.

  • Right Click on General/Percussion , and choose the following option from popup menu:

    • Show Total Size: Choose this option to view waves' total size of General Folder/Percussion Folder, and unit is Word.

  • Right Click on General Instrument, and choose the following option from popup menu:

    • Show Total Size: Choose this option to view waves' total size of current General Instrument Folder, and unit is Word.

  • Right Click on Percussion Instrument, and choose the following option from popup menu:

    • Show Total Size: Choose this option to view waves' total size of current Percussion Instrument Folder, and unit is Word.

  • Right Click on General Wave, and choose the following option from popup menu:

    • Show Total Size: Choose this option to view current wave's total size, and unit is Word.

  • Right Click on Percussion Wave, and choose the following option from popup menu:

    • Show Total Size: Choose this option to view current wave's total size, and unit is Word.


New Function: Play Key Full Range or Wave Sample Range

For this release, on Key Range Zone, you can play instrument's key full range or wave sample's key range.

There are three new buttons:

  • (Play Full Key Range): Play each key from current instrument or wave's lowest pitch to highest pitch by sequence.

    • Wave's pitch range is between

    • I nstrument pitch range is sum of its waves' pitch ranges.

  • (Stop): Stop executing Play Full Key Range.

  • (Play Time): When executing Play Full Key Range, you can specify time for playing each key. Play Time range is: 1s ~ 5s:


Enhanced Function: INI File Content for SR Wave

For this release, if a whole wave is SR and it has no AD section, "instrument.ini" will record it as the following way, and doing this can reduce used ROM size:

WAV_AD=APiano1_c3_SR.wav
WAV_SR=APiano1_c3_SR.wav


Enhanced Function: Note Duration

For this release, percussion wave's Note Duration is its wave length. For example, if a percussion wave has 16000 samples, and its sample rate is 16000hz, its Note Duration will be:

  • 16000/16000hz=1s = 1000ms


Enhanced Function: Envelope Waveform Window

For this release, Envelope Waveform Window is moved to main UI's bottom, and it will be more convenient for user when editing instrument library.


Instrument Editor Quick Start

  • Start Instrument Editor

  • New Workspace

  • New Instrument Bank

  • New Instrument

  • Add Sound File

  • Export Library


S tart Instrument Editor

You can choose one of the following methods to start Instrument Editor after installing it:

  1. Double click "InstrumentEditor.exe" located at the installation path (default path: C:\Sonix\Sonix_InstrumentEditor_Version) to enter the main interface.

  2. Double click shortcut icon at Windows desktop to inter the main interface of Instrument Editor.

  3. To start Instrument Editor using "Start" menu: "Start-> All Program-> Sonix Tech -> Instrument Editor_Version".


New Workspace

After entering the main interface of Instrument Editor, you should first new a workspace before executing the other operations. You can choose one of the following ways to open a "New Workspace" dialog box:

  1. Choose "New Workspace" in File Menu, Instrument Editor will pop up the dialog box of "New Workspace".

  2. Click button [image] at the toolbar to open "New Workspace" dialog box.

  3. Using shortcut key "Ctrl+ N" to open "New Workspace" dialog box.

After opening the "New Workspace" dialog box, you need to key in or choose the following indispensable information:

  • Name: input the name of the new workspace in the editing box.

  • Path: choose a saving path for the new workspace. The default path is your last new workspace location. If it's the first time you new a workspace, the default path is the root directory of your computer.

  • Mode Setting: choose "SF2 Mode" or "Custom Mode" in the check box. See the difference of the two modes, please refer to What Is the Difference between SF2 Mode and Custom Mode?

  • Chip Serial: current available chip is SNC80B.

The above picture shows a newly-built workspace named "My_Workspace". It is located at "D:\", and it is SF2 mode and the chip serials it uses is chip SNC80B. You could see the new workspace icon in Workspace Window after clicking "OK":


New Instrument Bank

After new a workspace, the next step you need to do is to new an instrument bank in order to fulfill the other operations. You can choose one of the following ways to open a "New Instrument Bank" dialog box:

  1. Choose "New Instrument Bank" option in File menu, Instrument Editor will popup "New Instrument Bank" dialog box.

  2. Right click workspace icon in Workspace Window, choose "New Instrument Bank" option in the pull-down menu.

  3. Use shortcut key "Ctrl+ Shift+ N" to open "New Instrument Bank" dialog box.

The above picture shows the "New Instrument Bank" dialog box. You may observe that the system has already chosen a default instrument list named "Instrument Bank 1". Click "OK" if you choose to use the default instrument bank; keep the check box unchosen and key in a desirable name in "Name" editing box if you don't want to use the default instrument list.

A folder named "SIB" will be created the same time as the instrument bank is newed at the workspace's installation directory with a *SIB file inside of it. You could see the icon of the newly-built instrument bank in Workspace Window as showing in the following picture:

For more information for the point that might help you with this operation, please refer to Tips for New Instrument Bank.


New Instrument

You could see in Workspace Window there are two subfolders under the newly-built instrument bank: General and Percussion:

To new an instrument, you could right click General or Percussion, and choose "New Instrument" in the pull-down menu, then Instrument Editor will new an instrument automatically.

Note:

  • If you have not chosen the default instrument list when you new the instrument bank, new an instrument is indispensable before you could add a wave file.

  • If you choose the default instrument list when you new an instrument bank, you could continue your next procedure without new an instrument.

  • The numbering of General and Percussion is quite different, please refer to Tips for New Instrument for detailed information.


Add Wave File

You can add wave files for "General" instrument and "Percussion" respectively:

Add General Wave

Right click general instrument in Workspace Window, choose "Add Sample" in the pull-down menu to open the file search browser.

Add Percussion Wave

Right click percussion instrument in Workspace Window, choose "Add Percussion Wave" in the pull-down menu to open the file search browser.

Note:

  • At most 128 wave files are allowed to be added in a general instrument, but only one wave file is allowed to be added in a percussion instrument.

  • The wave files in the same instrument cannot have a same name.

  • The sound file format will be checked before the file is added. The legal file format includes the following information:

    • Wave file format is the only allowed file format.

    • Audio format is PCM.

    • BitsPerSample must be 8 or 16 bits.


Export Library

After edit the wave file (for more detail, please see Edit Pitch, Set Fundamental Tone, Edit Looping, Edit Envelope, and demo play the sound in Demo Play Window), you can export the instrument bank in the Workspace Window into an instrument library. The instrument library is an *ini format file, which records all the information of the corresponding instrument bank.

Export Library

If you want to export an instrument bank to an instrument library, you can use "Export Library" option. Right click the specific instrument bank you want to export, choose "Export Library" to open "Export Library" file search browser. Select a path for the instrument library, and Instrument Editor will export the library to the path you selected.

Export All Library

If you want to export all the instrument banks in the workspace to instrument libraries, you can use "Export All Library" option. You have three ways to open "Export All Library" file search browser:

  1. Choose "Export All Library" option in File menu, Instrument Editor will popup "Export All Library" file search browser.

  2. Click button [image] at the toolbar to open "Export All Library" file search browser.

  3. Right click workspace icon in Workspace Window, choose "Export All Library" option in the pull-down menu.

  4. Use shortcut key "F7" to open "Export All Library" file search browser.

Select a path for the instrument library, and Instrument Editor will export all the instrument bank in the workspace.

Note:

  • The default path is your last export location. If it's the first time you export library (s), the default path is the root directory of your computer.

  • Export will be aborted when the key ranges of the wave file (s) are overlapped.

  • The instrument library shares the same name with the instrument bank.

The exported files will be collected in a folder, which include:

  1. An "Instrument .ini" file.

  2. The wave files in the instrument bank (s). Some exported wave files are separated into AD part and SR part if you have set looping for those wave files. Accordingly, they are named as "name_AD.wav" and "name_SR.wav", in which "name" refers to the title of the original wave file.


How to...

  • Open Workspace

  • Add Instrument Bank

  • Load Instrument Library

  • Load SF2 File

  • Set Instrument/Percussion Number

  • Edit Pitch

  • Set Fundamental Tone

  • Edit Looping

  • Edit Envelope

  • Export SF2 File

  • Export Report File

  • Specify Third Party Tool


Open Workspace

You can choose one of the following methods to open a workspace after starting Instrument Editor:

  1. Choose "Open Workspace" in File Menu to open "Open Workspace" file search browser.

  2. Click button [image] at the toolbar to open "Open Workspace" file search browser.

  3. Using shortcut key "Ctrl+ O" to open "Open Workspace" file search browser.

If you are opening a workspace right now, you can open another workspace in the following way: right click the workspace icon in Workspace Window, choose "Open" in the pull-down menu, Instrument Editor will also pop up an "Open Workspace" file search browser:

Note:

  • Please remember to save current workspace before open another one in case of losing important information.


Add Instrument Bank

Instrument Editor provide the function to add an instrument bank(*SIB file) for current workspace. Using one of the following ways to open "Add Instrument Bank" file search browser:

  1. Choose "Add Instrument Bank" option in File menu, Instrument Editor will popup "Add Instrument Bank" file search browser.

  2. Click button [image] at the toolbar to open "Add Instrument Bank" file search browser.

  3. Right click workspace icon in Workspace Window, choose "Add Instrument Bank" option in the pull-down menu.

Instrument Editor will display the icon of the newly-added instrument bank in Workspace Window after the adding action.


Loa d Instrument Library

You can load an instrument library (*ini file) into current workspace by selecting "Load Instrument Library" option. You can choose one of the following methods to open "Load Instrument Library" file search browser:

  1. Choose "Load Instrument Library" in File Menu.

  2. Right click the workspace icon in the Workspace Window, choose "Load Instrument Library" in the pull-down menu.

Note:

  • The supported instrument library must contain the following information:

    [InstrumentChip]

    ChipType=SNC80B\SNC80K

  • The name of the instrument bank (s) recorded in the newly-added "Instrument.ini" file can not be the same with the name of instrument bank (s) in the workspace. If a homonymy is detected by Instrument Editor, the instrument library will not be loaded.


Load SF2 File

You can load an SF2 file into current workspace by selecting "Load SF2 File" option. You can choose one of the following methods to open "Load SF2 File" file search browser:

  1. Choose "Load SF2 File" in File Menu.

  2. Click button [image] at the toolbar to open "Load SF2 File" file search browser.

  3. Right click the workspace icon in the Workspace Window, choose "Load SF2 File" in the pull-down menu.

Note:

  • The name of the instrument bank (s) recorded in SF2 file can not be the same with the name of instrument bank (s) in the workspace. A homonymy will cause an error and failure in loading SF2 file.

  • Instrument Editor supports the SF2 file produced by Sound Font tool.


Set Instrument/Percussion Number

"Instrument Number" and "Percussion Number" options are used for setting the serial numbers of general and percussion instruments. Instrument Editor will number the instrument automatically and assign the instrument an instrument ID when you new an instrument. If you want to change the instrument ID, you can use "Instrument Number" option and "Percussion Number" option for general instrument and percussion instrument respectively.

Instrument Number

You can use this option to set the instrument number of general instrument. To open an "Instrument Number" dialog box, you can right click general instrument icon in Workspace Window and choose "Instrument Number" option in the pull-down menu. You can key in an intended number in the edit box to change the original instrument number.

Note:

  • The instrument number must be within the range 1-128.

  • The instrument number can not be repeated.

Percussion Number

This option is used for setting the instrument number of percussion instrument. Right click percussion instrument icon in Workspace Window and choose "Percussion Number" option in the pull-down menu to open an "Percussion Number" dialog box. Key in an intended number in the edit box to change current percussion instrument ID.

Note:

  • The percussion number must be within range 24-87.

  • The percussion number can not be repeated.


Edit Pitch

The pitch editing function is operated mainly in Keyboard Zone. You can set pitch for your wave file and simulate the pitch sound in this particular area. For Percussion wave, you can only edit pitch by Set Fundamental Tone in the Keyboard Operating Box or in the Properties Region; for General wave, you can edit pitch range in the Key Range Box besides setting the fundamental tone. Edit pitch in the Key Range Box contains two major procedures: Highlight a Key Range Bar and Adjust the Key Range Bar.

Highlight the Key Range Bar

You may fulfill this action by two ways:

  1. Click the sound file you're intend to edit in the Workspace Window and this sound is highlighted both at the Workspace Window and the Key Range Box.

  2. Click the range bar at the Key Range Box, and this range bar will be highlighted. You can see its corresponding sound file is also highlighted in the Workplace Window.

When a key range is highlighted, two triangles will occur at the Key Operating Box to indicate the beginning and end of the range bar:

Adjust the Key Range Bar

You can adjust the length of the key range by putting the cursor at the beginning or end of the range bar, when the cursor changed to [image], you can drag the range bar to the desired point to change the pitch of sound.

Note:

  • The range bar cannot exceed its original length: you can only shorten its length or make it stay unchanged.

  • Before simulating a sound, please remember that the key range of the sound is highlighted, and the key you pressed is within the range bar.


Set Fundamental To ne

For Percussion wave, you can only set the fundamental tone in the Properties region. Key in a proper number between 24-108 and press "Enter" key in the keyboard, a fundamental pitch is successfully set.

Note:

  • The default pitch for percussion wave file is the same as its instrument number, so the change of the pitch will change percussion instrument ID accordingly. For Instrument Editor does not allow same instrument ID for both general and percussion instruments, you cannot set the same pitch for percussion wave files in the same instrument bank, or error will occur when you export instrument library.

Instrument Editor provides you more choice to set the fundamental tone of the General wave file. You can either choose to set the fundamental pitch in the Properties region as described above, or you can choose one of the two method to set the fundamental pitch:

1. Drag the black square left and right to change the fundamental tone to the desired place.

2. Right click the wave file in the Workspace Window, choose "Pitch Setting" in the pull-down menu:

Key in a pitch number in the "Pitch Setting" dialog box:

Note:

  • The default fundamental tone for the wave file is C5 (pitch 60).

  • The allowed pitch range is 24-108, so please key in a proper number within the range.


Edit Looping

Looping editing mainly includes two procedures: choose a looping range and adjust the looping you have chosen.

Choose Looping Range in Wave Display Zone

The Wave Display Zone in the upside of Looping Editor displays the wave of the whole sound. You can choose a looping range in this area with the following actions:

  1. Press the mouse at an intended point as the beginning of of a looping.

  2. Drag it to the point where you would like it to be the end point for the looping.

  3. Release your mouse then a looping is selected.

When a looping is selected, you may observe there are a red line at the start point which indicate the beginning time of the looping, and a blue line at the end means the end time of the looping.

Note:

  • When a looping is set, the wave file will be divided into two segments: AD and SR. SR segment is the wave sound that is set as looping, and the remaining part is AD. See What Is AD/SR for more details.

Adjust Your Looping

After selecting a looping area, you may need to adjust the looping to get it to your satisfaction. You can adjust a looping through the following ways:

  1. Drag the red or blue line to the intended place in Wave Display Zone when the cursor is double-arrowed as shown in the above picture.

  2. Click up/down button of the Start and End text edit box either in Wave Display Zone or in Looping Wave Display Zone. A millisecond is added or subtracted by one clicking.

  3. Click left/right button in Looping Wave Display Zone, a sample of the sound is added or subtracted by one clicking as shown in the following picture:

Press "OK" when your editing is finished, then you can observe that the icon of wave sound in the Workspace Window is changed from [image] to [image].

Note:

  • Percussion wave cannot set looping.

  • Please make sure the "Enable Looping" check box is enabled when you edit a looping.


Edit Envelope

Envelope editing is composed of two parts, that is, edit the envelope a wave file in Custom Mode and edit the envelope a wave file in SF2 Mode.

Note:

  • Percussion wave can not set envelope in Custom Mode.

  • You must highlight a wave file in the Workspace Window before editing envelope for the wave sound.

Custom Mode

Mainly three actions are involved in envelope edition in Custom Mode: add, delete and adjust a node.

Add a Node

Put the cursor at the diagram area, left click at the intended place and a node is added. You may observe the new node both in the diagram area and its coordinates right of the diagram.

Note:

  • The order of odes A-E are arranged by their time coordinates. If two nodes have a same time coordinate, their order will be arranged by time order: the node added earlier would have a higher order.

  • For chipSNC80B, at most five nodes is permitted to be set, and for chip SNC80K, only one node is allowed to be set.

Delete a Node

You can choose one of the following ways to delete a node:

  1. Put the cursor at the node, when the cursor changes into a palm, right click it to delete the node.

  2. Put the cursor at the node, when the cursor changes into a palm, press hotkey "Delete" to delete the node.

  3. Highlight the node at the table area, press hotkey "Delete" to delete the node.

You may observe the coordinates of the node displayed in the right of the diagram are also deleted.

Adjust a Node

You can choose one of the two ways to adjust a node:

  1. Key in desired coordinate values in the edit box in the table area.

  2. Put the cursor at the node, when the cursor changes into a palm, drag it to the intended place.

Note:

  • The values in the table area can not exceed the maximum: the maximum level value is100, and the maximum time coordinate value depends on your setting in the edit box below the table area (the default value is 3000ms).

  • The time coordinate of the node must be within the time coordinate range of the two nodes it bordering upon.

SF2 Mode

If you choose SF2 Mode when you new the workspace, the User Interface of Envelope is as follows:

You can key in the right number in the table area to set the envelope of the wave file. For more information, please refer to Envelope Waveform Zone.


Export SF2 File

Instrument Editor supports the function of exporting the SF2 file. To activate this function, you can right click instrument bank in the workspace window, and select "Export SF2 File" in the pull-down menu:

The saving directory of the SF2 file(*.SF2 file) is the same as the project file (*.IEW file), and the file name of the SF2 file is the same as the instrument bank. The information of the saving directory and the file name will also be displayed in Message Window after the export action.

Note:

  • The newly exported SF2 file will replace the original one if you have exported a SF2 file before.

  • Export SF2 file function is supported by SF2 mode, while in custom mode, this function is disabled.


Export Report File

Instrument Editor offers the function of exporting the report file, which contains the information of all the wave files in the instrument bank. To activate this function, you can right click the instrument bank icon in the Workspace Window, and select "Export Report File" in the pull-down menu:

The saving directory of the report file(*.IBR file) is the same as the project file (*.IEW file), and the file name of the report file is the same as the instrument bank. If you want to know more about the format of the report file, please refer to What Is the Format of the Report File? The Message Window will display the saving directory and file name of the report file following with a successful export action.

Note:
  • The newly exported report file will replace the original one if you have exported a report file before.


Specify Third Party Tool

Follow these steps:

  1. Install a required wave editing tool such as Cool Edit Pro. For example install it to "C:\Program Files\coolpro2\coolpro2.exe"

  2. Choose "External edit tool setting" option from Settings Menu, and access "External edit tool setting" dialog.

  3. Press "Add External Edit Tool" button, and choose the required file "coolpro2.exe" from File Browser. Then, Instrument Editor will show user this tool in External Edit Tool box, and press OK to confirm.

  4. When it is necessary to use this third party tool to edit a wave, right click on a wave node from Workspace Window, and choose "External Tools -> Coolpro2":

  5. The selected wave will be opened by coolpro2 and you can edit the waveform.


Instrument Edito r User Interface

  • Main Interface

  • Main Menu

    • File Menu

    • Edit Menu

    • Settings Menu

    • Help Menu

  • Toolbar

  • Workspace Window

  • Key Range Zone

  • Envelope Waveform Zone

  • Demo Play Window

  • Message Window

  • Properties Setting Window

  • Looping Editor

  • SNC 83K Emulator


Main Interface

As almost all the functions included by Instrument Editor can find their corresponding control buttons or menus in the main user interface, the main interface is the bridge between user and Instrument Editor. The following picture shows the the main interface of Instrument Editor:

  • Title Bar lies at the top of Instrument Editor. It displays the name of the project file that is under editing and the names of the software.

  • Menu Bar locates in the inferior of the title bar, and includes three secondary menu: File Menu, Edit Menu, Setting Menu, and Help Menu.

  • Toolbar locates in the inferior of the menu bar, and includes thirteen control buttons: New Workspace button, Open Workspace button, Save Workspace button, Add Instrument Bank button, Load SF2 File button，Export All Library button, Looping Editor button, etc.

  • Workspace W indow lies in the inferior of toolbar and left of Key Range Zone and Envelope Waveform Zone. It shows the information of current project files.

  • Key Range Zone is in the inferior of toolbar and at the right of Workspace Window. It is divided into two parts: Keyboard Operating Box and Key Range Box.

  • Envelope Waveform Zone displays the waveform of a chosen wave file and can be used for setting the development of the sound intensity of a wave file.

  • Properties Setting Window lies below Key Range Zone and Envelope Waveform Zone. It is composed of two parts: Properties and Release.

  • Demo Play Window lies below Key Range Zone and Envelope Waveform Zone, and is used for emulating sound in ICE.

  • Message Window lies below Key Range Zone and Envelope Waveform Zone. It is used for displaying the related message of convert, download, etc.

  • SNC 83K Emulator is an active window that you can drag it to anywhere you wanted. It is used to display the emulating efficiency of SNC 83K Emulator.


Main Menu

There is one main menu in Instrument Editor's menu bar:

  • File Menu

  • Edit Menu

  • Settings Menu

  • Help Menu


File Menu

The File Menu of Instrument Editor offers you many practical functions, such as "New Workspace", "New Instrument Bank", etc. With these functions, you can finish your design more effectively. Please select one of the following ways to open the File Menu:

  1. Click "File" option in main menu to open the pull-down menu.

  2. Using shortcut key "Alt + F" to open the pull-down menu.

New Workspace( Ctrl+ N)

Choose this option to new a workspace. For more details, please refer to New Workspace.

New Instrument Bank (Ctrl+ Shift+ N)

Choose this option to new an instrument bank. See New Instrument Bank for more details.

Open Workspace (Ctrl+ O)

Choose this option to open a workspace. See Open Workspace for more details.

Save( Ctrl+ S)

Choose this option to save current workspace to its storage directory.

Save as

Choose this option to save current workspace to an appointed directory.

Close Workspace

Choose this option to close current workspace. When this action is done, current workspace will be closed and the tool will be back to the status before you open or new a workspace.

Add Instrument Bank(*.sib)

Choose this option to add an instrument bank(*sib file) for current workspace. For more details, please refer to Add Instrument Bank.

Export All Library (F7)

Choose this option to export all the instrument banks in the workspace to an instrument library(*ini file). For more details, please refer to Export All Library.

Load Instrument Library

Choose this option to load an instrument library(*ini file) to current workspace. See Load Instrument Library for more details.

Load SF2 file

Choose this option to load a SF2 file. See Load SF2 file for more details.

Recent Workspace

Choose this option, Instrument Editor will enumerate five *iew files used recently.

Exit

Click this option to exit Instrument Editor. It has the same function as [image] button at the top right corner of Instrument Editor.


Edit Menu

The Edit Menu of Instrument Editor offers you delete function. With this function, you can delete Workspace Window's selected item. Please select one of the following ways to open the Edit Menu:

  1. Click "Edit" option in main menu to open the pull-down menu.

  2. Using shortcut key "Alt + E" to open the pull-down menu.

Delete

Delete Workspace Window's active item. If you choose this option, Instrument Editor will ask whether to delete the selected item or not.


Settings Menu

The Setting Menu of Instrument Editor offers you to specify third party tool. Please select one of the following ways to open the File Menu:

  1. Click "Setting" option in main menu to open the pull-down menu.

  2. Using shortcut key "Alt + S" to open the pull-down menu.

Device Setting

This option is disabled currently.

External edit tool setting

Choose this option to specify a third party tool to edit required waveform. For more details, refer to Specify Third Party Tool.


Help Menu

Help Menu provides you the version and copyright information of Instrument Editor. To refer to the mentioned information, you should click Help in the Menu Bar and choose "About" option, Instrument Editor will pop up "About Instrument Editor" dialog box as shown below:


Toolbar

The toolbar offers user a shortcut to realize the most often touched actions in using Instrument Editor. The following table shows the detailed information about the buttons in toolbar:

Button | Title | Sh ortcut Key | Function
 | New Workspace | Ctrl + N | Click this button to new a workspace.
 | Open Workspace | Ctrl + O | Click this button to open a workspace (*.IEW file).
 | Save Workspace | Ctrl + S | Click this button to save current workspace to its storage directory.
 | Add Instrument Bank |  | Click this button to to add an instrument bank (*.SIB file) for current workspace.
 | Load SF2 file |  | Click this button to import a SF2 file.
 | Export All Library | F7 | Click this button to export all the instrument bank in the workspace to an instrument library.
 | Looping Editor |  | Click this button to open "Looping Editor" editing window.


Workspace Window

Workspace Window lies in the inferior of toolbar and left of Keyboard Zone. It offers many important functions like new instrument bank, new instrument, add sound files, etc. Instrument Editor's Workspace Window is shown as follows:

Right Click on Workspace will pop up the following pull-down menu:

  • New Instrument Bank: Choose this option to new an instrument bank. See New Instrument Bank for more details.

  • Open: Choose this option to open a workspace. See Open Workspace for more details.

  • Add Instrument Bank: Choose this option to add an instrument bank(*sib file) for current workspace. For more details, please refer to Add Instrument Bank.

  • Export All Library: Choose this option to export all the instrument banks in the workspace to an instrument library(*ini file). For more details, please refer to Export All Library.

  • Load Instrument Library: Choose this option to load an instrument library(*ini file) to current workspace. See Load Instrument Library for more details.

  • Load SF2 file: Choose this option to load a SF2 file. See Load SF2 file for more details.

  • Delete Workspace: Choose this option to delete current workspace.

Right Click on Instrument Bank will pop up the following pull-down menu:

  • Export Library: Export current instrument bank to an instrument library. See Export Library for more details.

  • Export SF2 File: Export SF2 file to the workspace directory. Please refer to Export SF2 File for more information.

  • Export Report File: Export a report file to the directory of the workspace. For more information, please refer to Export Report File.

  • Delete Bank: Choose this option to delete current instrument bank.

  • Rename: Rename current instrument bank in the popup dialog box.

  • Show Total Size: Choose this option to view waves' total size of current instrument bank, and unit is Word.

Right Click on General/Percussion will pop up the following pull-down menu:

  • New Instrument: Choose this option to new an instrument for current instrument bank. For more details, please refer to New Instrument.

  • Delete Instruments: Choose this option to delete all instruments in General/Percussion.

  • Show Total Size: Choose this option to view waves' total size of General Folder/Percussion Folder, and unit is Word.

Right Click on General Instrument will pop up the following pull-down menu:

  • Instrument Number: Choose this option to change the instrument number of general instrument. Please refer to Instrument Number for more details.

  • Add Sample: When this option is selected, a file search browser will pop up to allow you to add one or more wave file (s) for current general instrument. See Add Wave File for more details.

  • Rename: Rename current general instrument in the popup dialog box.

  • Delete Instrument: Choose this option to delete current general instrument.

  • Show Total Size: Choose this option to view waves' total size of current General Instrument Folder, and unit is Word.

Right Click on Percussion Instrument will pop up the following pull-down menu:

  • Percussion Number: Choose this option to change the instrument number of percussion instrument. Please refer to Percussion Number for more details.

  • Add Percussion Wave: You can add a wave file for current percussion instrument. But please remember that only one wave file is allowed to be added in a percussion instrument.

  • Rename: Rename current percussion instrument in the popup dialog box.

  • Delete Instrument: Choose this option to delete current percussion instrument.

  • Show Total Size: Choose this option to view waves' total size of current Percussion Instrument Folder, and unit is Word.

Right Click on General Wave will pop up the following pull-down menu:

  • Looping Editor: You can edit looping for the wave file using "Looping Editor". Please see Looping Editor for more details.

  • Pitch Setting: You can set the fundamental tone in "Pitch Setting" dialog box. For more details, please refer to Set Fundamental Tone.

  • Delete: Choose this option to delete current wave file.

  • External Tools: Choose this option to open current wave file through third party tool. Refer to Specify Third Party Tool for more details.

  • Show Total Size: Choose this option to view current wave's total size, and unit is Word.

Right Click on Percussion Wave will pop up the following pull-down menu:

  • Delete: Choose this option to delete current wave file.

  • External Tools: Choose this option to open current wave file through third party tool. Refer to Specify Third Party Tool for more details.

  • Show Total Size: Choose this option to view current wave's total size, and unit is Word.


Key Range Zone

Keyboard Zone combines the functions of pitch editing and simulating. Accordingly, it is divided into two part: Key Range Box and Keyboard Operating Box. Key Range Box is used for editing and displaying the pitch of sound files, while Keyboard Operating Box is used for simulating the pitch within the key range. The main structure of Keyboard Zone is shown in the following picture:

Keyboard Operating Box

Keyboard Operating Box lies at the upside of Key Range Box, and is composed of eighty-four pitches with pitch 24 at the beginning and pitch 108 in the end. C2 (pitch 24) to C9 (pitch108) at upper side of Key Operating Box indicates different musical scales by showing the scale's incremental changes. Pitch 60 at C5's place is the fundamental tone and is indicated with yellow color, and C5 can be dragged to your intended place to change the pitch. You can simulate sound by clicking the keys in Keyboard Operating Box. When a key is pressed, a blue dot will appear at its upside to indicate that your operation just goes right.

  • (Play Full Key Range): Play each key from current instrument or wave's lowest pitch to highest pitch by sequence.

    • Wave's pitch range is between

    • I nstrument pitch range is sum of its waves' pitch ranges.

  • (Stop): Stop executing Play Full Key Range.

  • (Play Time): When executing Play Full Key Range, you can specify time for playing each key. Play Time range is: 1s ~ 5s:

Key Range Box

Key Range Box located in the inferior of Keyboard Operating Box. Just as its name indicated, Key Range Box displays the pitch range (s) of the sound file in an instrument. Click an intended instrument in Workspace Window, then all the key range (s) will be shown in the Key Range Box, as shown in the following picture:

Each wave file in the Workspace Window has a corresponding range bar in the Key Range Box. When you want to edit the pitch of the wave file, you can Highlight the Key Range Bar first and Adjust the Key Range Bar to the intended place to change its pitch.


Envelope Waveform Zone

Envelope Waveform Zone is in the inferior of toolbar and at the right of Workspace Window. It displays the waveform of a chosen wave file and can be used for setting the development of the sound intensity of a wave file that is to be emulated in Keyboard Zone or ICE. Different mode setting have different envelope waveform settings.

Custom Mode

General wave file and percussion wave file have different envelope settings in custom mode. For general wave file, you can set 5 nodes at most, while for percussion wave file, only one nodes are allowed to be set. The following picture shows the nodes setting of a general wave file with looping.

Note:

  • If you edit the waveform of a wave file with looping, which is set in Looping Editor, you will notice that the color of AD part and SR part is displayed in different colors, as is shown in the above picture.

SF2 Mode

General wave file and percussion wave file also have different envelope settings in SF2 mode. The following picture shows the envelope setting of General wave file without looping:

  • Attack (ms) is the ascending line showed in the above picture which indicates an increasing in sound intensity (default 0ms).

  • Hold (ms) is the horizontal line which means during this time period, the sound intensity will remain the same (default 0ms).

  • Decay (ms) is the descending line which means the decrease of sound intensity (default 0ms).

  • Sustain (%) indicates the sound intensity of the wave file (default 127%).

  • Release (ms) shows the development of a sound finis (default 0ms).

  • NoteOnVol (%) is the volume at the start point of the wave file (default 127%).

In the above picture, the time of Attack is set to 9000ms, during which the sound intensity will increase and achieves its peak at the point of 9000 ms. When the wave file played to its next 9000ms, which is set as Hold period, the sound intensity will keep to the max until Decay time comes, during which the sound intensity will decrease to 50 (Sustain) during another 9000ms. After the Decay time, the sound intensity will remains to be 50 according to the setting of Sustain until you release the mouse to execute the Release time.

For percussion wave file, Release and NoteOnVol are enabled while Attack, Hold, Decay, and Sustain are disabled.

Note:

  • The range of Attack/Hold/Decay/Release is 0-16000 ms, and the range of Sustain and NoteOnVol is 0-127%.

  • You can emulate the wave file in the Key Range Zone to see if your setting is desirable.

  • During the keyboard emulation, you should press the mouse until the time of sustain comes, when you release the mouse, Release will be executed by your setting. If you have not release the mouse during the emulation of the wave file, Release will not be executed even if the setting time has come.


Demo Play Window

Demo Play Window lies bel ow Workspace W indow and Keyboard Zone. You can use Demo Play Window to emulate the instrument library produced by Instrument Editor in ICE. A midi file is needed as an intermedium in the simulation.

Select Instrument Bank: Select in the pull-down menu the instrument bank you want to emulate.

Select Instrument: Default instrument: <All Instrument>. Select an instrument in the pull-down menu if you want to use a specific instrument.

Select Template File: When "Default Template File" is disabled, press "..." button to choose a required EZT file from file browser.

  • Default Template File: If enable this option, use the default EZT file which is specified by Instrument Editor automatically.

Export Project Data Path

  • Export Project Data: Press "..." button to choose a path to store output files, and click "Export Project Data" button to export. For example if user choose output path: "D:\InstrumentEditor\Test\ExportProject", following files or folder will be generated:

    • Sub-folder "lib": This folder contains enabled midi's used wave files, and "instrument.ini".

    • File "demo.ez": An EZ file which is generated according to project's setting information.

    • File "instable.asm": Instrument Table file that records used instrument information.

    • File "ProjectName.spu": This is a binary file contains some directives, such as playing midi using which instrument and channel, playing duration, etc.

Midi File:

  • : Choose required midi files through file browser, and Instrument Editor lists them in midi list.

  • : Delete the midi files whose check box is enabled in the midi list.

  • : Whether a midi file's check box is enabled or not, delete all midi files from the midi list.

  • Midi List: List all the imported midi files.

  • : Press this button, Instrument Editor will download midi list's enabled midi files to ICE board, and Message Window shows users download progress information.

Note:

  • When playing a midi file, the sound would come out when there is corresponding timbre in the instrument library, otherwise, there won't be any sound.

  • ICE board should be correctly connected to PC.

Template Description: Describe current EZT file's information, such as usage of each key (on ICE keyboard).


Message Window

Message Window lies bel ow Workspace W indow and Keyboard Zone as is shown below:

Instrument Editor will shift to Message Window to display the messages, when you are executing the following operations:

  • Save

  • Save As

  • Export Library

  • Export All Library

  • Export Report File

  • Keyboard Emulator

  • Demo Play


Properties Setting Window

Properties Setting Window lies below Keyboard Zone and Envelope Waveform Zone. It is composed of two parts: Properties and Release.

Properties

Properties region shows the properties of a chosen wave file. Some of the file's properties, namely the Compress Type and Pitch Setting, are enabled, while some others, such as Sample Rate, Sample Length, and Rom Size are disabled.

  • Compress Type shows the current compress type of AD wave and SR wave, which is displayed in the left and right column accordingly (If there is no looping available for the wave file, the SR column will be disabled). For more information about the difference of these listed compress types, please refer to How to Set Compress Type, and for more about AD wave and SR wave, please see What Is AD/SR?.

  • Pitch Setting editing box shows the fundamental tone of the wave file. The default fundamental tone is 60, and you can change the setting by key in a proper number in the editing box. The allowed range is 24-108. You can also see Set Fundamental Tone for more details about the setting.

  • Sample Rate box displays the sample rate of the chosen wave file.

  • Sample Length box displays the total length of the wave file. Its time unit is millisecond.

  • Sample Size box shows the rom size the wave file has occupied.

Release

Release graph displays the development of a sound finis. It is used for setting the release value of a wave sound in custom mode. Instrument Editor offers four release types, each of which corresponds with a set of release values. The default release type is "Type C". You can choose to use the default "Release ST", "Release Rating" and "Note off DT" values, or you can edit the values in the edit boxes as you wished. Refer to Release Type Initial Value List if you want to get more information about the initial value of the four release types.

  • Time coordinate has twenty grids altogether, and the number that each grid represents depends on the setting of the total time (default 80ms altogether and 5ms for each grid).

  • L evel coordinate has ten grids altogether, and each grid represents 10%.

  • Release ST is the start time to release a sound. The range of "Release ST" is from -40 to 40.

  • Release Rating is the descending value of a release. The range of "Release Rating" is from 0 to 100.

  • Note off DT is the delay time of a release. The range of "Note off DT" is from 0 to1000.

Note:

  • Level value indicates the intensity of sound which is represented by volume. Level 100% is the highest sound intensity, where a wave sound achieves its peak volume, while level 0% is total silence.

  • You can set the value of the release type only by key in the number in the edit box.


Looping Editor

Instrument Editor offers "Looping Editor", with which you can edit looping for the wave file. In one of the following ways you can open a "Looping Editor" editing window:

  1. Choose a wave file in Workspace Window, and click button [image] at the toolbar to open "Looping Editor" editing window.

  2. Double click the wave file in the Workspace Window to open "Looping Editor" editing window.

  3. Right click wave file icon in the Workspace Window to open "Looping Editor" editing window.

Wave Display Zone

Wave Display Zone displays the wave of the sound file and offers the function of looping selection. For detailed information, please refer to Choose Looping Range in Wave Display Zone.

displays the start time of a looping.

displays the end time of a looping.

The up/down button in Start/End text edit box is used to Adjust Your Looping.

Sample Length: displays the total length of the wave sound. For example, the total length of wave sound in above picture is 8139 millisecond.

Button | Function
 | Zoom in the wave.
 | Zoom out the wave.
 | Put the mark at the beginning of a wave sound.
 | Put the mark at the end of a wave sound.
 | Play the entire wave sound once.
 | Play the SR segment (if [image] is not pressed, the SR segment will be played forever).
 | Play the AD segment once and play the SR segment forever unless you press [image] .
 | Stop playing wave.

Compress Type

Compress Type area allows you to compress the AD wave and SR wave separately. You can choose different compress types for your AD wave and SR wave according to your needs and you can also refer to How to Set Compress Type? to get more detailed information about the difference of these listed compress types. You may notice that compress SR part will be disabled if you haven't set looping.

Looping Wave Display Zone

  1. Looping Wave Display Zone displays 1200 samples of the start and end point of a looping. The preceding part contains 600 samples behind the end of the looping, while the offside also contains 600 sample in front of the start of the looping. They are marked by a red line and blue line respectively.

  2. Looping Wave Display Zone offers the function of micro modulation, For detailed information, please refer to Adjust Your Looping.

Note:

  • Before editing a loop, please make sure the check box of "Enable Looping" is enabled.

  • For more information about AD/SR, please refer to What is AD/SR.


SNC 83K Emulator

SNC 83K Emulator is started up as soon as you successfully new a workspace or open a workspace. Its user interface is as the following picture:

SNC 83K Emulator is used to display the emulation efficiency of the SNC 83K emulator. When you emulating sound through the keyboard in Keyboard Operating Box, you may notice that the title bar of SNC 83K Emulator is changed: besides showing the title of the emulator, the title bar also shows the per centum of emulating efficiency, and the value of per centum is changing with your emulating action. While the lower per centum indicates a less effective emulation of SNC 83K emulator, the higher per centum indicates a more effective emulation. In the following picture, SNC 83K Emulator indicates current emulator efficiency achieves its peak, and the sound effect is accordingly the best.

Note:

  • The SNC 83K Emulator is started up along with the new and open workspace action, you cannot close it during editing process.

  • Let as less programs at work as possible is a good idea to improve emulator's efficiency when you are in keyboard emulation. Likewise, when SNC 83K Emulator indicates a low efficiency of the emulator, you can check and close some needless programs to improve the emulator's efficiency.


Instrument Editor Using Tips

  • Tips for New Instrument Bank

  • Tips for New Instrument

  • Tips for Keyboard Emulation

  • Tips for Envelope Editing

  • Tips for Instrument (*INI) File


Tips for New Instrument Bank

  1. If you choose the default instrument list, Instrument Editor will add the standard instrument library into the instrument bank you are now created. The standard instrument library include 128 general instruments and 64 percussion instruments. You may refer to Percussion Instrument List for more details.

  2. If you have not chosen the default instrument list, there is no instruments in General or Percussion instrument bank, then you can right click General or Percussion to add new instruments for current instrument bank.

  3. You cannot add new instrument if you choose the default instrument list, unless you delete some default instruments to make room for the new ones.

  4. The instrument bank you add cannot have a same with any of the other instrument bank in the workspace.


Tips for New Instrument

  1. There are 128 General instruments which is numbered from 1 to 128, and 64 Percussion instruments numbered from D24 to D87. The over-ranged instrument is not allowed to be added into Instrument Editor unless one or more instrument is deleted to make room for the new one.

  2. Instrument number can not be repeated.

  3. The system will number the instrument automatically when it is newed. You can also change the number by Set Instrument/Percussion Number.

  4. When instrument ID is accumulated to its maximum, Instrument Editor will detect if there is void ID for a new instrument. New instrument will be added if there is available instrument ID, otherwise, no instrument can be added.


Tips for Keyboard Emulation

After finishing the action of setting the wave pitch or envelope, you may want to emulate the sound to see if it is desirable. You can emulate the sound in Keyboard Operating Box, and here are some tips for you in keyboard emulation:

  1. If you want to emulate the pitch of the an instrument, which may contain several sound files, you must make sure the range bars in the Key Range Box are not overlapped.

  2. If a single wave file is about to be emulated, please make sure it is highlighted (about how to highlight a key range bar, please see to Highlight a Key Range Bar), and be sure the key you are pressing is within the key range shown in Key Range Box. If you press the keys that outside of the key range of the sound file, no sound will come out.


Tips for Envelope Editing

  1. The two mode settings, i.e., SF2 mode and custom mode, have different envelope settings, which will cause the diversity in setting actions. You can refer to Edit Envelope for more details.

  2. You can set envelope for general wave file in both SF2 mode and custom mode. But please note that Instrument Editor does not support envelope function of percussion wave file in custom mode. In custom mode, Instrument Editor only provides the function of displaying the waveform of the percussion wave file in Envelope Waveform Zone.

  3. In different modes, the editing of release is different. In SF2 mode, the release part of the wave file is edited in Envelope Waveform Zone, while in custom mode, it is edited in Properties Setting Window.

  4. You can emulate the wave file after envelope editing either in Keyboard Zone or ICE to see if you get the satisfactory result.


Tips for Instrument (*INI) File

  1. Using Instrument File in Instrument Editor: You can use instrument file in Instrument Editor by Load Instrument Library. Currently Instrument Editor can only produce SNC80B instrument file (although it will produce more than that in the near future.) , but it can load both SNC80K and SNC80B instrument file.

  2. Using INI File in Midi Tool Converter: Besides using instrument file in Instrument Editor, you can also use it in Sonix Speech Midi Converter tool. But please remember that SNC80B Speech Midi Converter supports only SNC80B instrument file, and SNC80K Speech Midi Converter supports only SNC80K instrument file.

  3. Parameter Conversion: If your current mode setting is SF2, and now you'd like to import a SNC80K instrument file to your workspace, you should aware that an important parameter is changed into different form during conversion: the decay time recorded in SNC80K instrument file is converted to the decay time parameter in the Envelope Waveform Zone. For example, the SNC80K instrument file contains the following decay time information:

    DecayTime=2500 ;; Decay (Unit : ms)

After you load the SNC80K instrument file containing the above decay time information in SF2 mode, you will find that the "Decay" attribute of corresponding wave file in Envelope Waveform Zone is 2500ms:


FAQ

  • What is Instrument Bank?

  • How to Add a Key Range Bar?

  • What is AD/SR?

  • What Is the Difference between SF2 Mode and Custom Mode?

  • What Is the Format of the Report File?

  • How to Set Compress Type?


What Is Instrument Bank?

An instrument bank is a library of instrument in essence. It contains all the information you have operated in Instrument Editor, such as looping editing, envelop editing, pitch setting, etc, and the recorded information will finally be imported into an instrument library, a library that covers all the timbres you've produced with Instrument Editor.

An instrument bank contains two branches, namely, general and percussion, each of which would include a number of instruments once you have given them the relative settings. Maximum 128 instruments numbered from 1 to 128 can be added to general, and at most 64 instruments numbered from 24 to 87 are allowed to be added to percussion. Timbre, the ultimate production of Instrument Editor, is produced from the wave file located in general or percussion instrument. It is the fundamental unit that constitutes an instrument bank. You can edit the timbre as you wished with Instrument Editor and all the editing information will be recorded in the instrument bank, which will finally be imported into an instrument library.


How to Add a Key Range Bar?

Each key range bar in the Key Range Box corresponds with a wave file shown in the Workspace Window, so the question of adding a key range bar in the Key Range Box is equaled to the question of how to Add Wave File.


What Is AD/SR?

When a looping is set in Looping Editor, the wave file will be divided into two segments: AD and SR. The SR segment is the wave sound that is set as looping, and the remaining part is AD segment. The actions or settings involves the AD and SR are listed below:

  • In Looping Editor, you can audition the AD wave and SR wave in Wave Display Zone by using different play buttons. Refer to Looping Editor for more details.

  • AD segment and SR segment will be exported along with the export of the instrument library if the original wave file has looping settings. See Export Library for more details.

  • You can also set the compress types for AD and SR waves separately in Properties Setting Window or Looping Editor.


What Is the Difference between SF2 Mode and Custom Mode?

  1. SF2 Mode supports Load SF2 File and Export SF2 File function while Custom Mode does not.

  2. The two different modes have different records in file "Instrument .ini" when Export Library or Export All Library. For SF2 Mode, the "Instrument .ini" file format is as follows:

    [InstrumentChip]
    ChipMode=SF2Mode
    ChipType=SNC80B

    For Custom Mode, the record in "Instrument .ini" is as follows:

    [InstrumentChip]
    ChipMode=CustomMode
    ChipType=SNC80B

  3. SF2 Mode and Custom Mode have different envelope settings in the Envelope Waveform Zone.


What Is the Format of the Report File?

The report file format is showing in the following table:

// Instrument Editor Version:

[n] // Instrument Name

CompressAD CompressSR ROM Size Wave File Name

N1 N2 N2 N4

[Dn] // Instrument Name

CompressAD ROM Size Wave File Name

N1 N2 N5

  • N1 and N2 refer to the compress types, for example PCM , ASPCM.

  • ROM Size is the totality of the compressed AD wave and SR wave.

  • N4 is the file name of the general wave file.

  • N5 is the file name of the percussion wave file.

Example:

//Sonix_InstrumentEditor_V1.00.026a

[1] // Acoustic Grand Piano1

CompressAD CompressSR ROM Size Wave File Name

PCM ASPCM 1234 Piano_C1

CompressAD CompressSR ROM Size Wave File Name

PCM ASPCM 1234 Piano_C2

[D80] // Bass Drum1

CompressAD ROM Size Wave File Name

PCM 1234 Bass1

[D81] // Bass Drum2

CompressAD ROM Size Wave File Name

PCM 1234 Bass2


How to Set Compress Setting

How to Set Compress Type?

You can choose one of the following two ways to set compress type for a chosen wave file: to set compress type in Properties Setting Window, or to set compress type in Lopping Editor. Taken the compress type setting column in Looping Editor for example, you may observe that you can set compress type for both AD wave and SR wave (if there is no SR part for a wave file, the SR column will be disabled.)

Quality Oriented Division: the following types are distinguished by compress quality:

  • A type

  • B type

  • C type

  • D type

  • E type

  • 12 bits PCM

From type A to 12 bits PCM, the compressed sound quality is increasing. Higher compressed quality needs bigger rom size, i.e., if you choose B type to compress a wave file, the wave file after compression will have better sound quality but a bigger rom size than A type.

Size Oriented Division: the following compress types are distinguished by compress size:

  • 5 bits ASDPCM

  • 6 bits ASDPCM

  • 7 bits ASDPCM

  • 8 bits ASDPCM

  • 9 bits ASDPCM

From 5 bits ASDPCM to 9 bits ASDPCM, the compressed rom size is increasing, that is to say, if you choose 5 bits ASDPCM to compress a wave file, the rom size of the wave file after compression is smaller than that of 6 bits ASDPCM or 9 bits ASDPCM.

Note:

  • There's no strict relation between Quality Oriented Division and Size Oriented Division. If you want to compress a sound file mainly from the aspects of quality, you can choose the Quality Oriented Division, namely, type A/B/C/D/E/PCM; if rom size is the main issue you concerned about, you can choose Size Oriented Division to compress your wave file.


Appendixes

  • General Instrument List

  • Percussion Instrument List

  • Release Type Initial Value List

  • Envelope Waveform Attribute List


General Instrument List

Instrument ID | Instrument Name | Instrument ID | Instrument Name
1 | Acoustic Grand Piano1 | 65 | Soprano Sax
2 | Bright Acoustic Piano2 | 66 | Alto Sax
3 | Electric Grand Piano3 | 67 | Tenor Sax
4 | Honky-tonk Piano | 68 | Baritone Sax
5 | Electric Piano 1 | 69 | Oboe
6 | Electric Piano 2 | 70 | English Homs
7 | Harpsichord | 71 | Bassoon
8 | Clave | 72 | Clarinet
9 | Celesta | 73 | Piccolo
10 | Glockenspiel | 74 | Flute
11 | Music Box | 75 | Recorder
12 | Vibraphone | 76 | Pan Flute
13 | Marimba | 77 | Bottle Blow
14 | Xylophone | 78 | Shakuhachi
15 | Tubular | 79 | Whistle
16 | Dulcimer | 80 | Ocarina
17 | Drawbar Organ | 81 | Lead 1 (quare)
18 | Percussive Organ | 82 | Lead 2 (sawtooth)
19 | Rock Organ | 83 | Lead 3 (calliope)
20 | Church Organ | 84 | Lead 4 (chiffer)
21 | Reed Organ | 85 | Lead 5 (charang)
22 | Accordion | 86 | Lead 6 (voice)
23 | Harmonica | 87 | Lead 7 (fifths)
24 | Tango Accordion | 88 | Lead 8 (bass+lead)
25 | Acoustic Guitar(nylon) | 89 | Pad 1 (new age)
26 | Acoustic Guitar(steel) | 90 | Pad 2 (warm)
27 | Electric Guitar(jazz) | 91 | Pad 3 (polysynth)
28 | Electric Guitar(clean) | 92 | Pad 4 (choir)
29 | Electric Guitar(muted) | 93 | Pad 5 (bowed)
30 | Overdriven Guitar | 94 | Pad 6 (metallic)
31 | Distortion Guitar | 95 | Pad 7 (halo)
32 | Guitar Harmonics | 96 | Pad 8 (sweep)
33 | Acoustic Bass | 97 | FX 1 (rain)
34 | Electric Bass(finger) | 98 | FX 2 (soundtrack)
35 | Electric Bass(pick) | 99 | FX 3 (crystal)
36 | Fretless Bass | 100 | FX 4 (atmosphere)
37 | Slap Bass 1 | 101 | FX 5 (brightness)
38 | Slap Bass 2 | 102 | FX 6 (goblin)
39 | Synth Bass 1 | 103 | FX 7 (echoes)
40 | Synth Bass 2 | 104 | FX 8 (sci-fi)
41 | Violin | 105 | Sitar
42 | Viola | 106 | Banjo
43 | Cello | 107 | Shamisen
44 | Contrabass | 108 | Koto
45 | Tremolo Strings | 109 | Kalimba
46 | Pizzicato Strings | 110 | Bag pipe
47 | Orchestral Harp | 111 | Fiddle
48 | Timpani | 112 | Shanai
49 | String Ensemble 1 | 113 | Tinkle Bell
50 | String Ensemble 2 | 114 | Agogo
51 | Synth String 1 | 115 | Steel Drum
52 | Synth Strings 2 | 116 | Woodblock
53 | Choir Aahs | 117 | Taiko Drum
54 | Voice Oohs | 118 | Melodic Tom
55 | Synth Voice | 119 | Synth Drum
56 | Orchestra Hit | 120 | Reverse Cymbal
57 | Trumpet | 121 | Guitar Fret Noise
58 | Trombone | 122 | Breath Noise
59 | Tuba | 123 | Seashore
60 | Muted Trumpet | 124 | Bird Tweet
61 | French Homs | 125 | Telephone Ring
62 | Brass Section | 126 | Helicopter
63 | Synth Brass 1 | 127 | Applause
64 | Synth Brass 2 | 128 | Gunshot


Percussion Instrument List

Instrument ID | Drum Name | File Name | Position in stave
D 24 | Seq click h | SeqClickH_C2 | C2
D 25 | Brush Tap | BrushTap_C#2 | C#2
D 26 | Brush swirl | BrushSwirl_D2 | D2
D 27 | Brush slap | BrushSlap_D#2 | D#2
D 28 | Brush Tap swirl | BrushTapS_E2 | E2
D 29 | Snarc roll | SnareRoll_F2 | F2
D30 | Castanet | Cstanet_F#2 | F#2
D31 | Snare H soft | SnareHSoft_G2 | G2
D32 | Sticks | Sticks_G#2 | G#2
D33 | Bass Drums Soft | BassDrumSoft_A2 | A2
D34 | Open Rim Shot | OpenRimShot_A#2 | A#2
D35 | Acoustic Bass Drum | AcousticBsDrum_b2 | B2
D36 | Bass Drum 1 | Bass Drum 1 | C3
D37 | Side Stick | SideStick_c#3 | C#3
D38 | Acoustic Snare | AcousticSnare_d3 | D3
D39 | Hand Clap | HandClap_d#3 | D#3
D40 | Electric Snare | ElectricSnare_e3 | E3
D41 | Low Floor Tom | LowFloorTom_f3 | F3
D42 | Closed Hi-Hat | ClosedHiHat_f#3 | F#3
D43 | High FLOOR tom | HighFloorTom_g3 | G3
D44 | Pidal Hi-Hat | PedalHiHat_g#3 | G#3
D45 | Low Tom | LowTom_a3 | A3
D46 | Open Hi-HAT | OpenHiHat_a#3 | A#3
D47 | Low-Mid Tom | LowMidTom_b3 | B3
D48 | Hi Mid Tom | HiMidTom_c4 | C4
D49 | Crash Cymbal 1 | CrashCymbal1_c#4 | C#4
D50 | High Tom | HighTom_d4 | D4
D51 | Rice Cymbal 1 | RideCymbal1_d#4 | D#4
D52 | Chinese Cymbal | ChineseCymbal_e4 | E4
D53 | Ride Bell | RideBell_f4 | F4
D54 | Tambourine | Tambourine_f#4 | F#4
D55 | Splash Cymbal | SplashCymbal_g4 | G4
D56 | Cowbell | Cowbell_g#4 | G#4
D57 | Crash Cymbal 2 | CrashCymbal2_a4 | A4
D58 | Vibraslap | Vibraslap_a#4 | A#4
D59 | Ride Cymbal 2 | RideCymbal2_b4 | B4
D60 | Hi Bongo | HiBongo_c5 | C5
D61 | Low Bongo | LowBongo_c#5 | C#5
D62 | Mute Hi Conga | MuteHiConga_d5 | D5
D63 | Open Hi Conga | OpenHiConga_d#5 | D#5
D64 | Low Conga | LowConga_e5 | E5
D65 | High Timbale | HighTimbale_f5 | F5
D66 | Low Timbale | LowTimbale_f#5 | F#5
D67 | High Agogo | HighAgogo_g5 | G5
D68 | Low Agogo | LowAgogo_g#5 | G#5
D69 | Cabasa | Cabasa_a5 | A5
D70 | Maracas | Maracas_a#5 | A#5
D71 | Short Whistle | ShortWhistle_b5 | B5
D72 | Long Whistle | LongWhistle_c6 | C6
D73 | Short Guiro | ShortGuiro_c#6 | C#6
D74 | Long Guiro | LongGuiro_d6 | D6
D75 | Claves | Claves_d#6 | D#6
D76 | Hi Wood Block | HiWoodBlock_e6 | E6
D77 | Low Wood Block | LowWoodBlock_f6 | F6
D78 | Mute Cuica | MuteCuica_f#6 | F#6
D79 | Open Cuica | OpenCuica_g6 | G6
D80 | Mute Triangle | MuteTriangle_g#6 | G#6
D81 | Open Triangle | OpenTriangle_a6 | A6
D82 | Shaker | Shaker_a#6 | A#6
D83 | Jingle Bell | JingleBell_b6 | B6
D84 | Bell Tree | BellTree_c7 | C7
D85 | Castanets | Castanets_c#7 | C#7
D86 | Mute Surdo | MuteSurdo_d7 | D7
D87 | Open Surdo | OpenSurdo_d#7 | D#7


Release Type Initial Value List

The initial values of the four release types are shown in the following table:

 | Release ST | Release Rating | Note off DT
Type A | 0 | 75 | 150
Type B | -5 | 60 | 80
Type C | -10 | 20 | 40
Type D | -20 | 0 | 20


Envelope Waveform Attribute List

 | Default Value | Allowed Value Range
Attack (ms) | 0 | 0-16000
Hold (ms) | 0 | 0-16000
Decay (ms) | 0 | 0-16000
Release (ms) | 0 | 0-16000
Sustain (%) | 127 | 0-127
NoteOnVol (%) | 127 | 0-127


Revision History

Date

Version

Description

2010/06/25 V1.03 f

Updated pages:

Instrument Editor User Interface -> Main Menu -> Edit Menu

Instrument Editor User Interface -> Demo Play Window

Instrument Editor User Interface -> Workspace Window

Instrument Editor User Interface -> Key Range Zone

Instrument Editor User Interface -> Main Interface

Instrument Editor User Interface -> Message Window

How to... -> Edit Pitch

How to... -> Set Fundamental Tone

How to... -> Export SF2 File

How to... -> Export Report File

Instrument Editor Quick Start -> Add Wave File

Instrument Editor User Interface -> Main Menu -> Help Menu

Newly added pages:

New Features
New Features -> New Function: Support Third Party Tool
New Features -> New Function: Demo Play Support Customized Template
New Features -> New Function: Multi Midi Importing and Playing
New Features -> New Function: Suggest the Most Appropriate Chip
New Features -> New Function: Export Project
New Features -> New Function: Export Single Wave or Multi Wave Files
New Features -> New Function: Provide Used ROM Size Information
New Features -> New Function: Play Key Full Range or Wave Sample Range
New Features -> Enhanced Function: INI File Content for SR Wave
New Features -> Enhanced Function: Note Duration
New Features -> Enhanced Function: Envelope Waveform Window

Instrument Editor User Interface -> Main Menu -> Edit Menu
Instrument Editor User Interface -> Main Menu -> Settings Menu

How to... -> Specify Third Party Tool

2010/02/01 V1.01a2

Updated pages:

Instrument Editor Using Tips-> Tips for Instrument (*INI) File: updated the second and the third using tips.

FAQ-> How to Set Compress Type: updated the introduction to Quality Oriented Division.

2010/01/29 V1.01a2

Newly added pages:

Instrument Editor Using Tips-> Tips for Instrument (*INI) File.

Appendixes-> Envelope Waveform Attribute List.

Updated pages:

How to-> Load Instrument Library: updated the first note.

How to-> Load SF2 File: updated the second note.

FAQ-> How to Set Compress Type: added a note.

2010/01/27 V1.01a2

Newly added pages:

How to-> Edit Envelope.

Instrument Editor User Interface-> Properties Setting Window.

Instrument Editor Using Tips-> Tips for Envelope Editing.

FAQ-> What Is the Difference between SF2 Mode and Custom Mode?

FAQ-> How to Set Compress Type?

Updated pages:

Instrument Editor Quick Start-> New Workspace: updated the first picture, added the default path introduction to "Path" item and a hyperlink to "Mode Setting" item.

Instrument Editor Quick Start-> Export Library: added a note (the first one).

How to-> Set Fundamental Tone-> updated the second picture.

How to-> Edit Looping: updated the first picture.

Instrument Editor User Interface-> Main Interface: updated this page to the latest requirement.

Instrument Editor User Interface-> Main Menu-> File Menu: updated the picture and added "Close Workspace" item.

Instrument Editor User Interface-> Main Menu-> Help Menu: updated the picture.

Instrument Editor User Interface->Workspace Window: updated to the latest requirement.

Instrument Editor User Interface-> Envelope Waveform Zone: updated the page to the latest requirement.

Instrument Editor User Interface->Message Window: updated the picture and added the "Export Report File" item.

Instrument Editor User Interface-> Looping Editor: updated a picture and added a description to "Compress Type".

FAQ-> What Is AD/SR: updated to the latest requirement.

Deleted pages:

How to-> Set Compress Setting:

2010/01/08 V1.01

Newly added pages:

Main Menu -> Help Menu

2009/12/25 V1.01

Updated pages:

System Requirement: updated to the latest version.

How to->Load Instrument Library: "ChipType=SNC80K" was changed into "ChipType=SNC80B" in the first note.

How to->Load Instrument Library: added ChipMode=SF2Mode in the first note.

How to->Load SF2 File: deleted a note (the first one).

Instrument Editor User Interface-> Main Interface: updated to the latest version.

Instrument Editor User Interface->Envelope Editor: added a note (the last one).

Newly added pages:

Instrument Editor User Interface->SNC 83K Emulator

Deleted page:

How to->Edit Envelope.

Instrument Editor Using Tips->Tips for Envelope Editing

FAQ->How to Choose a Chip Type?

FAQ->What Is the Difference between SF2 Mode and Custom Mode?

2009/12/10

V1.01

Updated pages:

Instrument Editor Quick Start->New Workspace: added a description to the two mode settings.

Instrument Editor Quick Start->Add Wave File: "New Key Range" was changed into "Add Sample".

How to->Load Instrument Library: "ChipType=SNC82K/88K" was changed into "ChipType=SNC80K" in the first note.

How to->Load SF2 File: added a note (the first one).

How to->Set Compress Setting: introduced a new way to set compress setting, i.e. to set compress setting in Properties region.

How to->Edit Pitch: deleted a note (the last one).

How to->Set Fundamental Tone: introduced a new way to set fundamental tone, i.e. to set fundamental tone in "Properties" region.

How to->Edit Envelope: deleted the part "Release", and updated the part "Envelope".

Instrument Editor User Interface->Main Interface: updated to the latest version.

Instrument Editor User Interface->Envelope Editor: deleted the part "Envelope" and added "Properties".

Instrument Editor User Interface->Workspace Window: updated the pop-up menu of instrument bank and general instrument.

FAQ->How to Choose a Chip Type: chip SNC82K/88K and SNC82B/88B was changed into SNC80K and SNC80B respectively.

Newly added pages:

How to->Export SF2 File.

How to->Export Report File.

Instrument Editor User Interface->Envelope Waveform Zone.

Instrument Editor Using Tips->Tips for Envelope Editing.

FAQ->What Is the Difference between SF2 Mode and Custom Mode.

FAQ->What Is the Format of the Report File.